Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb.util
Class RCData

    java.lang.Object
      org.hsqldb.util.RCData

public class RCData
extends java.lang.Object

All the info we need to connect up to a database.

Author:
  Blaine Simpson unsaved@users

Field Summary
`static java.lang.String` | `DEFAULT_JDBC_DRIVER`

Constructor Summary
`RCData(java.io.File file, java.lang.String dbKey)` Creates a RCDataObject by looking up the given key in the given authentication file.

Method Summary
`java.sql.Connection` | `getConnection()` Gets a JDBC Connection using the data of this RCData object.
`java.sql.Connection` | `getConnection(java.lang.String curDriver, java.lang.String curCharset, java.lang.String curTrustStore)` Gets a JDBC Connection using the data of this RCData object with specified override elements
`void` | `report()` Just for testing and debugging.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_JDBC_DRIVER

    public static final java.lang.String DEFAULT_JDBC_DRIVER

See Also:
  Constant Field Values

Constructor Detail

### RCData

    public RCData(java.io.File file,
                  java.lang.String dbKey)
           throws java.lang.Exception

  Creates a RCDataObject by looking up the given key in the given authentication file.

Method Detail

### report

    public void report()

  Just for testing and debugging.

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.lang.ClassNotFoundException,
                                             java.lang.InstantiationException,
                                             java.lang.IllegalAccessException,
                                             java.sql.SQLException

  Gets a JDBC Connection using the data of this RCData object.

  Returns:
    New JDBC Connection
  Throws:
    `java.lang.ClassNotFoundException`
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`
    `java.sql.SQLException`

### getConnection

    public java.sql.Connection getConnection(java.lang.String curDriver,
                                             java.lang.String curCharset,
                                             java.lang.String curTrustStore)
                                      throws java.lang.ClassNotFoundException,
                                             java.lang.InstantiationException,
                                             java.lang.IllegalAccessException,
                                             java.sql.SQLException

  Gets a JDBC Connection using the data of this RCData object with specified override elements

  Returns:
    New JDBC Connection
  Throws:
    `java.lang.ClassNotFoundException`
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`
    `java.sql.SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 - 2005 HSQL Development Group. All Rights Reserved.